Subject: Trainer Candidate - Jeet Mitra Joseph
From: Jeet Mitra Joseph <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 22 Jul 2021 11:21:50 -0400

| | Tech Support Test

Name | Jeet Mitra Joseph
E-mail | [email-masked]
Phone Number | (+91) 7013783427
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute using other transport like Rickshaw
Where do you currently live (area) | Kolkata

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | JLL | Customer Service Executive | Working | 37,000
Previous Employer 1 | Elementia Wellness Pvt ltd | Duty Manager | 15.8.2017 | 27,000
Previous Employer 2 | Decathlon Sports india | Sports Advisor | 17.11.2016 | 25,000

If Selected, how much time do you need to join? | 30 days
Please briefly describe your work experience specifically in training? | Experience in customer service in Retail in Kolkata, working for Quest Mall.
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | I have managed a team of 12 people max, there were many up and downs while training the team with cashiering and customer service. Though it was fun too. I have learnt many things from my team and taught them the right way to deal with customer in the front end. It was never that easy but yes it was one my best learning experience to teach and grow along with my team.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | A good customer service person gives solution to a problem and a great customer service helps to understand the problem and resolve that same issues ASAP
What according to you makes you a good candidate for this position? | Fluency in English, team management and grow along with the team.
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |